package enea.lecservice.security;

import enea.lecservice.models.dto.ServiceResponse;
import enea.lecservice.security.dto.UserInfo;

import java.security.Principal;
import java.util.Optional;

public interface IUserInfoService {
    Optional<UserInfo> getUserInfo(Principal principal);
    Optional<UserInfo> getUserInfo(String username, String password);
    ServiceResponse logout(UserInfo userInfo);
	Optional<UserInfo> getUserInfo(String token);
}
